Send Consent Request

Request

This endpoint triggers a notification on UAEPASS App of the user requesting for the consent of the user to share the documents with the requestor.

Source

Service Provider (Data Owner)

Target

UAEPASS

Method

POST

Security

client credentials grant

Headers

X-Timestamp: [time this request was generated, used in HMAC token generation]

X-UAEPASS-Signature: Refer section API nonrepudiation – HMAC in Security.

X-UP-AccessToken: Refer section Generating client credential tokens in Security

Authorization: Refer section Generating client credential tokens in Security.

Request Parameters

Name
Type
Mandatory/Optional
Description

Identifier

String

M

Emirates id or passport number based on document id type

idDocType

String

M

Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestedById

String

O

Client id for the requesting SP in the UAE Pass backend.

Mandatory in case of SP-to-SP data sharing flow.

Not applicable in case of Peer-to-Peer flow

spId

String

M

Configured Service Provider’s (Data Owner) client id in the UAE Pass backend

spTransactionID

String

M

Transaction id generated by the service provider

Purpose

String

O

Requestor’s Reason for requesting authorization from UAE Pass User

purposeAr

String

O

Requestor’s Reason for requesting authorization from UAEPass User

requestType

String

O

Expected Values [peerToPeer, spToSp].

spToSp is a default value.

Requestor

Object

O

These Fields are mandatory for request type [peerToPeer].

idType : Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestor.name

String

O

These Fields are mandatory for request type [peerToPeer].

idType : Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestor.nameAr

String

O

These Fields are mandatory for request type [peerToPeer].

idType : Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestor.identifier

String

O

These Fields are mandatory for request type [peerToPeer].

idType : Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestor.idType

String

O

These Fields are mandatory for request type [peerToPeer].

idType : Expected Values: [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]

requestor.additionalInfo

Object

O

It is map object with extra info and won’t be shown in screen.

Content

Object

M

Content of the request

content

.documents

List

M

List of documents

content.documents name

String

M

document Name

content

.documents.nameAr

String

M

document Name in arabic

content

.documents[0].type

String

M

Document type

ct

.ypeAr

String

M

Document type in arabic

content

.documents[0].metadata

List

M

List of meta data

content

.documents[0].metadata.displayName

String

M

Name of each point meta data

content

.documents[0].metadata.displayNameAr

String

M

Name in arabic of each point meta data

Sample Request

Response

Response Parameters

Name
Type
Mandatory/Optional
Description

uaePassTransactionID

String

M

Generated uaepass id

transactionStatus

String

M

Status will be for initial status as TRIGGERED

spTransactionID

String

O

Request transaction

Sample Success Reponse

Error Response

Description
Error Message
Http Status Code

Transaction Id Already Exist

{

"code": "CONS_1000001",

"desc": {

"ar": "المعاملة موجودة بالفعل.",

"en": "Transaction already exists."

}

}

409

Missing headers: [X-UAEPASS-Signature - X-Timestamp]

{

"code": "401",

"desc": {

"ar": "UNAUTHORIZED",

"en": "UNAUTHORIZED"

}

}

401

User Profile does not exist

{

"code": "0001",

"desc": {

"ar": "ملف تعريف المستخدم غير موجود",

"en": "User Profile does not exist with provided details"

}

}

404

Mismatch Document Id type with user profile

{

"code": "CONS_1000002",

"desc": {

"ar": "نوع مستند الهوية خاطئ.",

"en": "Wrong Id document type."

}

}

409

Account is not verified

{

"code": "CONS_1000003",

"desc": {

"ar": "لم يتم التحقق من الحساب.",

"en": "Account is not verified"

}

}

094

Missing Configuration in Backend

{

"code": "CONS_1000004",

"desc": {

"ar": "الاعدادات المطلوبة مفقودة.",

"en": "Required configuration is missing"

}

}

500

X-UAEPASS-Signature is mismatch with generated signature in backend

{

"code": "CONS_1000005",

"desc": {

"ar": "التوقيع غير صحيح.",

"en": "Invalid signature."

}

}

401

Invalid Document Type

{

"code": "CONS_1000006",

"desc": {

"ar": "idDocType is missing or invalid value, allowed values [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]",

"en": "idDocType is missing or invalid value, allowed values [EMIRATES_ID, PASSPORT, GCC_NATIONAL_ID_CARDS]"

}

}

400

Consent Already done

{

"code": "CONS_1000011",

"desc": {

"ar": "تمت الموافقة على المعاملة رقم [spTransactionID-apidog-494]، وحالتها الحالية هي [ACCEPTED].",

"en": "Consent for transaction ID [spTransactionID -494] has been done. Its current status is [ACCEPTED]."

}

}

409

Service Provider [owner_sp_client_id] is not found.

{

"code": "CONS_1000012",

"desc": {

"ar": "مقدم الخدمة [owner_sp _client_id] غير موجودة.",

"en": "Service Provider [owner_sp _client_id] is not found."

}

}

404

invalid identifier ex: "identifier": "X"

{

"code": "UMS_VAL_025",

"desc": {

"ar": " الهوية غير صحيحة",

"en": "invalid identifier"

}

}

400

Last updated

Was this helpful?